<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?= page_title() ?></title>
	<link rel="stylesheet" href="/css/admin.css">
	<script src="/js/htmx.js"></script>
</head>
<body>
	<div id="admin-container">
		<header>
			<h1><?= env('game_name') ?></h1>
			<h3>Admin</h3>
		</header>
		<main>
			<nav>
				<a href="/admin" hx-get="/admin" hx-target="#main">Admin Home</a><br>
				<a href="/">Game Home</a><br><br>

				<br>
				<a href="/admin/main" hx-get="/admin/main" hx-target="#main">Main Settings</a><br>
				<a href="/admin/news" hx-get="/admin/news" hx-target="#main">Add News Post</a><br>
				<a href="/admin/users" hx-get="/admin/users" hx-target="#main">Edit Users</a><br><br>

				<br>
				<a href="/admin/items" hx-get="/admin/items" hx-target="#main">Edit Items</a><br>
				<a href="/admin/drops" hx-get="/admin/drops" hx-target="#main">Edit Drops</a><br>
				<a href="/admin/towns" hx-get="/admin/towns" hx-target="#main">Edit Towns</a><br>
				<a href="/admin/monsters" hx-get="/admin/monsters" hx-target="#main">Edit Monsters</a><br>
				<a href="/admin/level" hx-get="/admin/level" hx-target="#main">Edit Levels</a><br>
				<a href="/admin/spells" hx-get="/admin/spells" hx-target="#main">Edit Spells</a><br>
			</nav>

			<section id="main">
				<?= $content ?>
			</section>
		</main>

		<footer>
			<div>Powered by <a href="/" target="_new">Dragon Knight</a></div>
			<div>&copy; 2024 Sharkk</div>
			<?= Render\debug_db_info(); ?>
			<div>Version <?= VERSION ?> <?= BUILD ?></div>
		</footer>

		<?php if (env('debug', false)) echo Render\debug_query_log(); ?>
	</div>
</body>
</html>
